%define upstream_name	Youri-Package
%define upstream_version 0.2.4

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:	Abstract package class
License:	GPL or Artistic
Group:		Development/Other
Url:		http://youri.zarb.org
Source:		http://youri.zarb.or/download/%{upstream_name}-%{upstream_version}.tar.gz
Requires:       perl-version
BuildRequires:  perl(Expect)
BuildRequires:  perl(File::Which)
BuildRequires:  perl(Test::Exception)
BuildRequires:  perl(UNIVERSAL::require)
BuildRequires:  perl(URPM)
BuildRequires:  perl(RPM4)
BuildRequires:  perl-version
BuildRequires:  perl(Youri::Package::RPM::Generator)
BuildRequires:  gnupg
BuildArch:	noarch

%description
YOURI stands for "Youri Offers an Upload & Repository Infrastucture". It aims
to build tools making management of a coherent set of packages easier.

This class provides an uniform view over various kind of packages.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make
# useless comment

%check
%__make test

%install
rm -rf %{buildroot}
%makeinstall_std

%files 
%doc Changes README META.yml
%{perl_vendorlib}/Youri
%{_mandir}/man3/*


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.2.4-2.mga3
+ Revision: 375332
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 guillomovitch <guillomovitch> 0.2.4-1.mga3
+ Revision: 338331
- new version

  + tmb <tmb>
    - revert rpm5 specific code breaking the build (P1, spotted by tv)
    - BR gnupg for tests on infra_2
    - use is_debug check from mga-youri-core to also handle new -debuginfo packages (P0)

* Sat Jun 11 2011 spuhler <spuhler> 0.2.2-5.mga2
+ Revision: 103892
- increase rel for rebuild

* Sat Apr 30 2011 misc <misc> 0.2.2-4.mga1
+ Revision: 94007
- increase rebuild to allow upgrade from Mandriva ( with backports )

* Sun Mar 06 2011 guillomovitch <guillomovitch> 0.2.2-1.mga1
+ Revision: 65679
- new version

* Fri Jan 28 2011 jquelin <jquelin> 0.2.0-1.mga1
+ Revision: 42961
- fix %%doc
- update to 0.2.0
- mageia rebuild
- imported package perl-Youri-Package

